com.icesoft.faces.facelets.component.table

## Class BaseTableBean

- java.lang.Object
- - com.icesoft.faces.facelets.component.table.BaseTableBean

- All Implemented Interfaces:
    java.io.Serializable

      public abstract class BaseTableBean
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.faces.model.DataModel` | `data`
    `protected int` | `displayedRows`
    `protected boolean` | `visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTableBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decreaseRows(javax.faces.event.ActionEvent evt)`
    `javax.faces.model.DataModel` | `getData()`
    `int` | `getDisplayedRows()`
    `int` | `getPages()`
    `void` | `increaseRows(javax.faces.event.ActionEvent evt)`
    `boolean` | `isVisible()`
    `void` | `setDisplayedRows(int displayedRows)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### displayedRows

          protected int displayedRows

    - #### data

          protected transient javax.faces.model.DataModel data

    - #### visible

          protected boolean visible

  - ### Constructor Detail

    - #### BaseTableBean

          public BaseTableBean()

  - ### Method Detail

    - #### isVisible

          public boolean isVisible()

    - #### increaseRows

          public void increaseRows(javax.faces.event.ActionEvent evt)

    - #### decreaseRows

          public void decreaseRows(javax.faces.event.ActionEvent evt)

    - #### getDisplayedRows

          public int getDisplayedRows()

    - #### setDisplayedRows

          public void setDisplayedRows(int displayedRows)

    - #### getData

          public javax.faces.model.DataModel getData()

    - #### getPages

          public int getPages()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.